summaryrefslogtreecommitdiff
path: root/bootstrap.sh
diff options
context:
space:
mode:
authorpommicket <pommicket@gmail.com>2021-11-14 00:43:09 -0500
committerpommicket <pommicket@gmail.com>2021-11-14 00:43:17 -0500
commit253901b3025b9ecfe77b25b6a87baad3ef0f16eb (patch)
tree6f4dfd85eca343b47f7df2f89490339a6884f366 /bootstrap.sh
parent3fb2c2c4d829d9ea243a3c7834fd4b32c7378060 (diff)
update bootstrap.sh with 03
Diffstat (limited to 'bootstrap.sh')
-rwxr-xr-xbootstrap.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
index cd63ddd..5d326c5 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -58,5 +58,15 @@ if [ "$(./out02)" != 'Hello, world!' ]; then
fi
cd ..
+echo 'Processing stage 03...'
+cd 03
+rm -rf out0[23]
+make -s out03
+if [ "$(./out03)" != 'Hello, world!' ]; then
+ echo_red 'Stage 03 failed.'
+ exit 1
+fi
+cd ..
+
echo_green 'all stages completed successfully!'